---
title: HTMLIFrameElement.csp
slug: Web/API/HTMLIFrameElement/csp
tags:
  - API
  - CSP
  - Content Security Policy
  - HTML DOM
  - HTMLIFrameElement
  - Property
  - Reference
---
<p>{{SeeCompatTable}}{{APIRef("HTML DOM")}}</p>

<p>The <strong><code>csp</code></strong> property of the {{domxref("HTMLIFrameElement")}} interface specifies the <a href="/docs/Web/HTTP/CSP">Content Security Policy</a> that an embedded document must agree to enforce upon itself.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>csp</em> = HTMLIFrameElement.csp
HTMLIFrameElement.csp = <em>csp</em></pre>

<h3 id="Value">Value</h3>

<p>A content security policy.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSP Embedded','#dom-htmliframeelement-csp','csp')}}</td>
   <td>{{Spec2('CSP Embedded')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.HTMLIFrameElement.csp")}}</p>
</div>
